Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QGraphicsSceneHelpEvent Class Reference

The QGraphicsSceneHelpEvent class provides events when a tooltip is requested. More...

     #include <QGraphicsSceneHelpEvent>

Inherits: QGraphicsSceneEvent.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

## Public Functions

| ~QGraphicsSceneHelpEvent ()
QPointF | scenePos () const
QPoint | screenPos () const

- 1 public function inherited from QGraphicsSceneEvent
- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QGraphicsSceneHelpEvent class provides events when a tooltip is requested.

When a QGraphicsView receives a QEvent of type QEvent::ToolTip, it creates a QGraphicsSceneHelpEvent, which is forwarded to the scene. You can set a tooltip on a QGraphicsItem with setToolTip(); by default QGraphicsScene displays the tooltip of the QGraphicsItem with the highest z-value (i.e, the top-most item) under the mouse position.

QGraphicsView does not forward events when "What's This" and status tip help is requested. If you need this, you can reimplement QGraphicsView::viewportEvent() and forward QStatusTipEvent events and QEvents of type QEvent::WhatsThis to the scene.

See also QEvent.

## Member Function Documentation

### QGraphicsSceneHelpEvent::~QGraphicsSceneHelpEvent ()

Destroys the event.

### QPointF QGraphicsSceneHelpEvent::scenePos () const

Returns the position of the mouse cursor in scene coordinates at the moment the help event was sent.

See also screenPos().

### QPoint QGraphicsSceneHelpEvent::screenPos () const

Returns the position of the mouse cursor in screen coordinates at the moment the help event was sent.

See also scenePos().